iOS 4.0 Error when updating to Ios 4.0

Discussion in 'iOS Jailbreak & Cydia' started by Hyperrunenr, Jun 16, 2010.

  1. Hyperrunenr

    Hyperrunenr New Member

    Joined:
    Jun 16, 2010
    Messages:
    417
    Likes Received:
    0
    Device:
    2G iPod touch
    Ok i finnaly get all excited because i got itunes 9.2 on windows xp and then i get the ipod touch 4.0 ipsw. I try restoring my ipod by holding shift and clicking the 4.0 ipsw and then it says "The ipod jorge cannot be restored because the firmware file is incomatible and im pretty sure that i got the rifht one. Also i have a ipod touch 3g 3.1.3 Jailbroken.Any suggestions.

    Please Register or Log in to view images

  2. J-Phone

    J-Phone Active Member

    Joined:
    Dec 1, 2009
    Messages:
    4,868
    Likes Received:
    10
    Device:
    iPhone 4 (Black)
    The iPhone iOS 4 isn't out yet. Only the GM version is out witch is for the devs or people who have macs and their UDID registered. Without that you can't upgrade yet. Just wait a week or two for the public release.
  3. Naveen121

    Naveen121 Well-Known Member

    Joined:
    Apr 9, 2010
    Messages:
    2,085
    Likes Received:
    65
    Device:
    2G iPod touch
    J-Phone is right. Don't update, restore, or anything just yet, because you now have iTunes 9.2, which is not compatible with Spirit. So you will not be able to re-jailbreak on firmware 3.1.3. Just gotta wait a little while.
  4. Radish

    Radish Banned

    Joined:
    May 18, 2009
    Messages:
    971
    Likes Received:
    2
    Device:
    iPod touch
    You don't need your UDID registered to install the GM. It's the exact same IPSW that is released to the public. It's meant for last minute testing of developers' apps to make sure they work. And as for proof, the checksums of the old 3.0 GM and the 3.0 public releases match.
  5. all_against_one

    all_against_one New Member

    Joined:
    Jan 9, 2009
    Messages:
    326
    Likes Received:
    0
    Device:
    iPad 2 (White)
    Just to let you all know Spirit does work with iTunes 9.2 (I have tested this out myself) and why would you need you UDID registered to update to the GM of iOS 4.0? Never before have you needed to have your UDID registred to update to the GM candidate of any previous firmware.
  6. Hyperrunenr

    Hyperrunenr New Member

    Joined:
    Jun 16, 2010
    Messages:
    417
    Likes Received:
    0
    Device:
    2G iPod touch
    Okay it is exactly like all_against_one said im sorry i didnt say it was a gm but that is what happens i am currently running NOW ipod touch 3g 8gb 3.1.3 No jailbreak can anybody help me.
  7. jalexis4192

    jalexis4192 New Member

    Joined:
    Apr 18, 2009
    Messages:
    477
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    Make sure you have the right firmware file.
  8. Hyperrunenr

    Hyperrunenr New Member

    Joined:
    Jun 16, 2010
    Messages:
    417
    Likes Received:
    0
    Device:
    2G iPod touch
    Yea

    Yea im sure i got the right it is iPod3,1_4.0_8A293_Restore
    and yes i got that one an my ipod touch is the 3g 8gb. Idk why itunes tells me that and im running itunes 9.2 my os is xp 32bit.
  9. MarioKartMaster

    MarioKartMaster New Member

    Joined:
    Apr 17, 2010
    Messages:
    44
    Likes Received:
    0
    Device:
    4G iPod touch
    There is NO 8GB third generation! You need the second generation. You have probably been tricked into thinking you have a third generation.

    The true third generation were the 32GB and 64GB devices made in late 2009. You have a second generation. You need the firmware: iPod2,1_4.0_8A293_Restore.ipsw
  10. Hyperrunenr

    Hyperrunenr New Member

    Joined:
    Jun 16, 2010
    Messages:
    417
    Likes Received:
    0
    Device:
    2G iPod touch
    Ok

    ok ill try that becuase on the box it says 3g but ill try thanks for the tip.

Share This Page